0 reviews for this add-on
  • Download the "Stylish" add-on here: https://addons.mozilla.org/en-US/firefox/addon/2108, then create an entry using the following CSS (based from the "Decreased Productivity" XPI):

    *{
    background-color:#FFFFFF !important;
    background-image:none !important;
    border-color:#000000 !important;
    color:#000000 !important;
    font-size:8pt !important;
    font-family:Geneva, Arial, Helvetica, sans-serif !important;
    text-decoration:none;
    }

    a{
    text-decoration:underline !important;
    color:#000000 !important;
    }

    h1, h2, h3, h4, h5, h6, h7, h8{
    font-size:10pt !important;
    font-weight:bold !important;
    }

    img, input[type=image]{
    -moz-opacity: 0.05 !important;
    }

    img:hover, input[type=image]:hover{
    -moz-opacity: 0.5 !important;
    }
    object, embed, param{
    display:none !important;
    }

  • SOMEBODY please update this important extension to work with 3.x+!
    It is far better than Ghostzilla or other Firefox extensions of this type.

    Developer response

    Sorry for the delay, I've started updating the Add-On again. The latest version should be compatible with all 3.x versions of FireFox.

  • Very goog add-on but it doesn´t work on Firefox 3...

  • Perfect for work!

    Punctuation: 4/5
    Dont get 5/5 because dont work in Firefox 3 at the moment...

    Developer response

    Sorry for the delay, I've started updating the Add-On again. The latest version should be compatible with all 3.x versions of FireFox.

  • Awesome plugin, thank you

  • Great addon!

  • I extracted the files from the .xpi file, and I found that the source code is extremely simple - it's simply a javascript that switches between two CSS stylesheets - "default" and "safeForWork." So, it should work with all versions of Firefox. I think that changing the line in install.rdf (in the main directory) that gives version number will enable this addon to work with newer versions of the firefox.

    Of course, I don't know how to rebuild .xpi files, so until someone tries this out, it's all in the air...

    Developer response

    Sorry for the delay, I've started updating the Add-On again. The latest version should be compatible with all 3.x versions of FireFox.